List Transactions

List all transactions

Query parameters

fieldsstringOptionalformat: "^([a-zA-Z\.],?)+$"
Specific fields requested in the response. Defaults to all fields.
sortstringOptionalformat: "^([a-zA-Z]+(:(asc|desc)+)?,?)+$"

CSV of sort value pairs by field (eg. date:asc). Sorts descending date fields by default and ascending elsewhere

filterstringOptional

Filter expression as defined by Fortress Query Language (FQL)

pageintegerOptionalDefaults to 0
the page number when used with pagination, defaults to 0
limitintegerOptionalDefaults to 10

How many items to return at one time (default 10)

formatenumOptionalDefaults to JSON
The format of the response
Allowed values:

Response

A paged array of transactions
amountdoubleOptional
codestringOptional
The code for the transaction
createdAtdatetimeOptional
customerIdstringOptionalformat: "uuid"
The ID of the customer associated with the transaction
datedatetimeOptional
deletedAtdatetimeOptional
depositIdstringOptionalformat: "uuid"
The ID of the deposit associated with the transaction
fiscalPeriodstringOptional
The fiscal period for the transaction
householdobjectOptional
householdIdstringOptionalformat: "uuid"
The ID of the household associated with the transaction
idstringOptionalformat: "uuid"
isPaidbooleanOptional
Whether the transaction is paid
ledgerenumOptional
The ledger for the transaction
notestringOptional
Notes about the transaction
organizationIdstringOptionalformat: "uuid"
The ID of the organization associated with the transaction
paymentDatedatetimeOptional
The date the charge was paid
propertyIdstringOptionalformat: "uuid"
The ID of the property associated with the transaction
readableIdstringOptional
The readable ID for the transaction
reversedTransactionIdstringOptionalformat: "uuid"
The ID of the reversed transaction
runningBalanceAmountdoubleOptional
The running balance amount after the transaction
subjournalenumOptional
The subjournal for the transaction
typeenumOptional
The type of the transaction
updatedAtdatetimeOptional